Skip to content

Replace DDoS transit Firewall Rule.

PUT
/api/infraprotect/namespaces/{metadata.namespace}/infraprotect_firewall_rules/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_firewall_rules/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "action_allow": {}, "action_deny": {}, "destination_prefix_all": {}, "destination_prefix_single": "example", "fragments_allow": {}, "fragments_deny": {}, "protocol_ah": {}, "protocol_all": {}, "protocol_esp": {}, "protocol_gre": {}, "protocol_icmp": { "echo_reply": true, "echo_request": true, "parameter_problem": true, "redirect": true, "source_quench": true, "time_exceeded": true, "unreachable": true }, "protocol_icmp6": { "destination_unreachable": true, "echo_reply": true, "echo_request": true, "neighbor_advertisement": true, "neighbor_solicit": true, "packet_too_big": true, "parameter_problem": true, "redirect": true, "router_advertisement": true, "router_solicit": true, "time_exceeded": true }, "protocol_ipv6": {}, "protocol_tcp": { "description": "example", "destination_port_all": {}, "destination_port_range": "example", "source_port_all": {}, "source_port_range": "example" }, "protocol_udp": { "description": "example", "destination_port_all": {}, "destination_port_range": "example", "source_port_all": {}, "source_port_range": "example" }, "source_prefix_all": {}, "source_prefix_single": "example", "state_off": {}, "state_on": {}, "version_ipv4": {}, "version_ipv6": {} } }'

Amends a DDoS transit Firewall Rule.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a infraprotect_firewall_rule

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
action_allow
object
action_deny
object
destination_prefix_all
object
destination_prefix_single

Exclusive with [destination_prefix_all] Prefix.

string
<= 1024 characters
fragments_allow
object
fragments_deny
object
protocol_ah
object
protocol_all
object
protocol_esp
object
protocol_gre
object
protocol_icmp
object
echo_reply
Echo-Reply

Echo-Reply.

boolean format: boolean
echo_request
Echo-Request

Echo-Request.

boolean format: boolean
parameter_problem
Parameter-Problem

Parameter-Problem.

boolean format: boolean
redirect
Redirect

Redirect

boolean format: boolean
source_quench
Source-Quench

Source-Quench.

boolean format: boolean
time_exceeded
Time-Exceeded

Time-Exceeded.

boolean format: boolean
unreachable
Unreachable

Unreachable.

boolean format: boolean
protocol_icmp6
object
destination_unreachable
Destination-Unreachable

Destination-Unreachable.

boolean format: boolean
echo_reply
Echo-Reply

Echo-Reply.

boolean format: boolean
echo_request
Echo-Request

Echo-Request.

boolean format: boolean
neighbor_advertisement
Neighbor-Advertisement

Neighbor-Advertisement.

boolean format: boolean
neighbor_solicit
Neighbor-Solicit

Neighbor-Solicit.

boolean format: boolean
packet_too_big
Packet-Too-Big

Packet-Too-Big.

boolean format: boolean
parameter_problem
Parameter-Problem

Parameter-Problem.

boolean format: boolean
redirect
Redirect

Redirect

boolean format: boolean
router_advertisement
Router-Advertisement

Router-Advertisement.

boolean format: boolean
router_solicit
Router-Solicit

Router-Solicit.

boolean format: boolean
time_exceeded
Time-Exceeded

Time-Exceeded.

boolean format: boolean
protocol_ipv6
object
protocol_tcp
object
description
Description

Description.

string
>= 21 characters <= 1024 characters
destination_port_all
object
destination_port_range
Port Range

Exclusive with [destination_port_all] Port Range.

string
<= 1024 characters
source_port_all
object
source_port_range
Port Range

Exclusive with [source_port_all] Port Range.

string
<= 1024 characters
protocol_udp
object
description
Description

Description.

string
>= 21 characters <= 1024 characters
destination_port_all
object
destination_port_range
Port Range

Exclusive with [destination_port_all] Port Range.

string
<= 1024 characters
source_port_all
object
source_port_range
Port Range

Exclusive with [source_port_all] Port Range.

string
<= 1024 characters
source_prefix_all
object
source_prefix_single

Exclusive with [source_prefix_all] Prefix.

string
<= 1024 characters
state_off
object
state_on
object
version_ipv4
object
version_ipv6
object
Examplegenerated
{
"metadata": {
"annotations": {},
"description": "example",
"disable": true,
"labels": {},
"name": "example",
"namespace": "example"
},
"spec": {
"action_allow": {},
"action_deny": {},
"destination_prefix_all": {},
"destination_prefix_single": "example",
"fragments_allow": {},
"fragments_deny": {},
"protocol_ah": {},
"protocol_all": {},
"protocol_esp": {},
"protocol_gre": {},
"protocol_icmp": {
"echo_reply": true,
"echo_request": true,
"parameter_problem": true,
"redirect": true,
"source_quench": true,
"time_exceeded": true,
"unreachable": true
},
"protocol_icmp6": {
"destination_unreachable": true,
"echo_reply": true,
"echo_request": true,
"neighbor_advertisement": true,
"neighbor_solicit": true,
"packet_too_big": true,
"parameter_problem": true,
"redirect": true,
"router_advertisement": true,
"router_solicit": true,
"time_exceeded": true
},
"protocol_ipv6": {},
"protocol_tcp": {
"description": "example",
"destination_port_all": {},
"destination_port_range": "example",
"source_port_all": {},
"source_port_range": "example"
},
"protocol_udp": {
"description": "example",
"destination_port_all": {},
"destination_port_range": "example",
"source_port_all": {},
"source_port_range": "example"
},
"source_prefix_all": {},
"source_prefix_single": "example",
"state_off": {},
"state_on": {},
"version_ipv4": {},
"version_ipv6": {}
}
}

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example